Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

# Class AmendmentInformationDetails14

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_12.AmendmentInformationDetails14

public class AmendmentInformationDetails14 extends Object

Java class for AmendmentInformationDetails14 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmendmentInformationDetails14">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OrgnlMndtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text" minOccurs="0"/>
             <element name="OrgnlCdtrSchmeId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}PartyIdentification135" minOccurs="0"/>
             <element name="OrgnlCdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="OrgnlCdtrAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CashAccount40" minOccurs="0"/>
             <element name="OrgnlDbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}PartyIdentification135" minOccurs="0"/>
             <element name="OrgnlDbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CashAccount40" minOccurs="0"/>
             <element name="OrgnlDbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="OrgnlDbtrAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CashAccount40" minOccurs="0"/>
             <element name="OrgnlFnlColltnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ISODate" minOccurs="0"/>
             <element name="OrgnlFrqcy" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Frequency36Choice" minOccurs="0"/>
             <element name="OrgnlRsn" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}MandateSetupReason1Choice" minOccurs="0"/>
             <element name="OrgnlTrckgDays" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Exact2NumericText" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BranchAndFinancialInstitutionIdentification6`
`orgnlCdtrAgt`
`protected CashAccount40`
`orgnlCdtrAgtAcct`
`protected PartyIdentification135`
`orgnlCdtrSchmeId`
`protected PartyIdentification135`
`orgnlDbtr`
`protected CashAccount40`
`orgnlDbtrAcct`
`protected BranchAndFinancialInstitutionIdentification6`
`orgnlDbtrAgt`
`protected CashAccount40`
`orgnlDbtrAgtAcct`
`protected XMLGregorianCalendar`
`orgnlFnlColltnDt`
`protected Frequency36Choice`
`orgnlFrqcy`
`protected String`
`orgnlMndtId`
`protected MandateSetupReason1Choice`
`orgnlRsn`
`protected String`
`orgnlTrckgDays`

## Constructor Summary

Constructors
Constructor
Description
`AmendmentInformationDetails14()`

## Method Summary

Modifier and Type
Method
Description
`BranchAndFinancialInstitutionIdentification6`
`getOrgnlCdtrAgt()`
Gets the value of the orgnlCdtrAgt property.
`CashAccount40`
`getOrgnlCdtrAgtAcct()`
Gets the value of the orgnlCdtrAgtAcct property.
`PartyIdentification135`
`getOrgnlCdtrSchmeId()`
Gets the value of the orgnlCdtrSchmeId property.
`PartyIdentification135`
`getOrgnlDbtr()`
Gets the value of the orgnlDbtr property.
`CashAccount40`
`getOrgnlDbtrAcct()`
Gets the value of the orgnlDbtrAcct property.
`BranchAndFinancialInstitutionIdentification6`
`getOrgnlDbtrAgt()`
Gets the value of the orgnlDbtrAgt property.
`CashAccount40`
`getOrgnlDbtrAgtAcct()`
Gets the value of the orgnlDbtrAgtAcct property.
`XMLGregorianCalendar`
`getOrgnlFnlColltnDt()`
Gets the value of the orgnlFnlColltnDt property.
`Frequency36Choice`
`getOrgnlFrqcy()`
Gets the value of the orgnlFrqcy property.
`String`
`getOrgnlMndtId()`
Gets the value of the orgnlMndtId property.
`MandateSetupReason1Choice`
`getOrgnlRsn()`
Gets the value of the orgnlRsn property.
`String`
`getOrgnlTrckgDays()`
Gets the value of the orgnlTrckgDays property.
`void`
`setOrgnlCdtrAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the orgnlCdtrAgt property.
`void`
`setOrgnlCdtrAgtAcct(CashAccount40 value)`
Sets the value of the orgnlCdtrAgtAcct property.
`void`
`setOrgnlCdtrSchmeId(PartyIdentification135 value)`
Sets the value of the orgnlCdtrSchmeId property.
`void`
`setOrgnlDbtr(PartyIdentification135 value)`
Sets the value of the orgnlDbtr property.
`void`
`setOrgnlDbtrAcct(CashAccount40 value)`
Sets the value of the orgnlDbtrAcct property.
`void`
`setOrgnlDbtrAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the orgnlDbtrAgt property.
`void`
`setOrgnlDbtrAgtAcct(CashAccount40 value)`
Sets the value of the orgnlDbtrAgtAcct property.
`void`
`setOrgnlFnlColltnDt(XMLGregorianCalendar value)`
Sets the value of the orgnlFnlColltnDt property.
`void`
`setOrgnlFrqcy(Frequency36Choice value)`
Sets the value of the orgnlFrqcy property.
`void`
`setOrgnlMndtId(String value)`
Sets the value of the orgnlMndtId property.
`void`
`setOrgnlRsn(MandateSetupReason1Choice value)`
Sets the value of the orgnlRsn property.
`void`
`setOrgnlTrckgDays(String value)`
Sets the value of the orgnlTrckgDays property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### orgnlMndtId

protected String orgnlMndtId

### orgnlCdtrSchmeId

protected PartyIdentification135 orgnlCdtrSchmeId

### orgnlCdtrAgt

protected BranchAndFinancialInstitutionIdentification6 orgnlCdtrAgt

### orgnlCdtrAgtAcct

protected CashAccount40 orgnlCdtrAgtAcct

### orgnlDbtr

protected PartyIdentification135 orgnlDbtr

### orgnlDbtrAcct

protected CashAccount40 orgnlDbtrAcct

### orgnlDbtrAgt

protected BranchAndFinancialInstitutionIdentification6 orgnlDbtrAgt

### orgnlDbtrAgtAcct

protected CashAccount40 orgnlDbtrAgtAcct

### orgnlFnlColltnDt

protected XMLGregorianCalendar orgnlFnlColltnDt

### orgnlFrqcy

protected Frequency36Choice orgnlFrqcy

### orgnlRsn

protected MandateSetupReason1Choice orgnlRsn

### orgnlTrckgDays

protected String orgnlTrckgDays

## Constructor Details

### AmendmentInformationDetails14

public AmendmentInformationDetails14()

## Method Details

### getOrgnlMndtId

public String getOrgnlMndtId()
Gets the value of the orgnlMndtId property.

Returns:
  possible object is `String`

### setOrgnlMndtId

public void setOrgnlMndtId(String value)
Sets the value of the orgnlMndtId property.

Parameters:
  `value` - allowed object is `String`

### getOrgnlCdtrSchmeId

public PartyIdentification135 getOrgnlCdtrSchmeId()
Gets the value of the orgnlCdtrSchmeId property.

Returns:
  possible object is `PartyIdentification135`

### setOrgnlCdtrSchmeId

public void setOrgnlCdtrSchmeId(PartyIdentification135 value)
Sets the value of the orgnlCdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getOrgnlCdtrAgt

public BranchAndFinancialInstitutionIdentification6 getOrgnlCdtrAgt()
Gets the value of the orgnlCdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setOrgnlCdtrAgt

public void setOrgnlCdtrAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the orgnlCdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getOrgnlCdtrAgtAcct

public CashAccount40 getOrgnlCdtrAgtAcct()
Gets the value of the orgnlCdtrAgtAcct property.

Returns:
  possible object is `CashAccount40`

### setOrgnlCdtrAgtAcct

public void setOrgnlCdtrAgtAcct(CashAccount40 value)
Sets the value of the orgnlCdtrAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

### getOrgnlDbtr

public PartyIdentification135 getOrgnlDbtr()
Gets the value of the orgnlDbtr property.

Returns:
  possible object is `PartyIdentification135`

### setOrgnlDbtr

public void setOrgnlDbtr(PartyIdentification135 value)
Sets the value of the orgnlDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getOrgnlDbtrAcct

public CashAccount40 getOrgnlDbtrAcct()
Gets the value of the orgnlDbtrAcct property.

Returns:
  possible object is `CashAccount40`

### setOrgnlDbtrAcct

public void setOrgnlDbtrAcct(CashAccount40 value)
Sets the value of the orgnlDbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

### getOrgnlDbtrAgt

public BranchAndFinancialInstitutionIdentification6 getOrgnlDbtrAgt()
Gets the value of the orgnlDbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setOrgnlDbtrAgt

public void setOrgnlDbtrAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the orgnlDbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getOrgnlDbtrAgtAcct

public CashAccount40 getOrgnlDbtrAgtAcct()
Gets the value of the orgnlDbtrAgtAcct property.

Returns:
  possible object is `CashAccount40`

### setOrgnlDbtrAgtAcct

public void setOrgnlDbtrAgtAcct(CashAccount40 value)
Sets the value of the orgnlDbtrAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

### getOrgnlFnlColltnDt

public XMLGregorianCalendar getOrgnlFnlColltnDt()
Gets the value of the orgnlFnlColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setOrgnlFnlColltnDt

public void setOrgnlFnlColltnDt(XMLGregorianCalendar value)
Sets the value of the orgnlFnlColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getOrgnlFrqcy

public Frequency36Choice getOrgnlFrqcy()
Gets the value of the orgnlFrqcy property.

Returns:
  possible object is `Frequency36Choice`

### setOrgnlFrqcy

public void setOrgnlFrqcy(Frequency36Choice value)
Sets the value of the orgnlFrqcy property.

Parameters:
  `value` - allowed object is `Frequency36Choice`

### getOrgnlRsn

public MandateSetupReason1Choice getOrgnlRsn()
Gets the value of the orgnlRsn property.

Returns:
  possible object is `MandateSetupReason1Choice`

### setOrgnlRsn

public void setOrgnlRsn(MandateSetupReason1Choice value)
Sets the value of the orgnlRsn property.

Parameters:
  `value` - allowed object is `MandateSetupReason1Choice`

### getOrgnlTrckgDays

public String getOrgnlTrckgDays()
Gets the value of the orgnlTrckgDays property.

Returns:
  possible object is `String`

### setOrgnlTrckgDays

public void setOrgnlTrckgDays(String value)
Sets the value of the orgnlTrckgDays property.

Parameters:
  `value` - allowed object is `String`